> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Domain to Asset Extraction

> Extract logo, favicon, and widget colors from a domain.



## OpenAPI

````yaml POST /features/domain-to-asset
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/domain-to-asset:
    post:
      description: Extract logo, favicon, and widget colors from a domain.
      requestBody:
        description: Domain-to-asset parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainToAssetRequest'
        required: true
      responses:
        '200':
          description: Assets extracted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainToAssetResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    DomainToAssetRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: URL of the domain to extract information from
        favicon_only:
          type:
            - boolean
            - 'null'
          description: Return only favicon if true
    DomainToAssetResponse:
      type: object
      properties:
        logo_url:
          type:
            - string
            - 'null'
          description: URL of the review video thumbnail
        favicon_url:
          type:
            - string
            - 'null'
          description: URL of the review video thumbnail
        widget_page_background_color:
          type:
            - string
            - 'null'
          description: Color hex code
        widget_button_color:
          type:
            - string
            - 'null'
          description: Color hex code
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````